unit MemoUtil;
interface
uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, Menus, ExtCtrls;

function Memo_WhereXY (AMemo: TMemo): TPoint;
  {-returns the x,y position of the highlighted word of the memo}

implementation

function Memo_WhereXY (AMemo: TMemo): TPoint;
  {-returns the x,y position of the highlighted word of the memo}
var
  Col:      integer;
  Row:      integer;
  RowStart: integer; 
begin
  Row      := SendMessage(AMemo.Handle, EM_LINEFROMCHAR, $FFFF, 0);
   {-returns the line number of the cursor position}
  RowStart := SendMessage(AMemo.Handle, EM_LINEINDEX, $FFFF, 0);
    {-returns the index of the start of the line within the buffer}
  Col      := AMemo.SelStart - RowStart;
  Result   := Point (Col, Row);
end;  { Memo_WhereXY }

end.  { MemoUtil }
