unit Ppdem;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, StdCtrls, Tabs,
  Buttons, ExtCtrls, Ppmain, Ppext, Grids, Outline, TabNotBk, FileCtrl,
  Ppdb, sysutils, DBCtrls, DBGrids, DB, DBTables, dialogs;

type
  TMultPageDlg = class(TForm)
    PowerPanel1: TPowerPanel;
    PPCap1: TPPCap;
    Notebook: TNotebook;
    TabSet: TTabSet;
    PowerPanel2: TPowerPanel;
    PowerPanel3: TPowerPanel;
    PowerPanel4: TPowerPanel;
    PPStatus1: TPPStatus;
    PowerPanel5: TPowerPanel;
    PowerPanel6: TPowerPanel;
    PPCap2: TPPCap;
    PowerPanel7: TPowerPanel;
    PPCap3: TPPCap;
    PowerPanel8: TPowerPanel;
    PPCap4: TPPCap;
    PowerPanel9: TPowerPanel;
    PowerPanel10: TPowerPanel;
    ListBox1: TListBox;
    PPListBox1: TPPListBox;
    PowerPanel11: TPowerPanel;
    Memo1: TMemo;
    PPMemo1: TPPMemo;
    PowerPanel12: TPowerPanel;
    Outline1: TOutline;
    PPOutLine1: TPPOutLine;
    PowerPanel13: TPowerPanel;
    TabbedNotebook1: TTabbedNotebook;
    PPTabbedNB1: TPPTabbedNB;
    PowerPanel14: TPowerPanel;
    StringGrid1: TStringGrid;
    PPStringGrid1: TPPStringGrid;
    PowerPanel15: TPowerPanel;
    DrawGrid1: TDrawGrid;
    PPDrawGrid1: TPPDrawGrid;
    PowerPanel16: TPowerPanel;
    Label1: TLabel;
    PPLabel1: TPPLabel;
    DriveBoxAligned1: TDriveBoxAligned;
    PPDrive1: TPPDrive;
    DirectoryListBox1: TDirectoryListBox;
    PPDirList1: TPPDirList;
    EditAligned1: TEditAligned;
    PPEdit1: TPPEdit;
    FilterBoxAligned1: TFilterBoxAligned;
    PPFilter1: TPPFilter;
    FileListBox1: TFileListBox;
    PPFileList1: TPPFileList;
    PPFileManager1: TPPFileManager;
    Table1: TTable;
    DataSource1: TDataSource;
    Button1: TButton;
    PowerPanel17: TPowerPanel;
    DBGrid1: TDBGrid;
    PPDBGrid1: TPPDBGrid;
    DBNavigator1: TDBNavigator;
    PPDBNav1: TPPDBNav;
    PowerPanel18: TPowerPanel;
    DBNavigator2: TDBNavigator;
    PPDBNavLeft1: TPPDBNavLeft;
    DBNavigator3: TDBNavigator;
    PPDBNavRight1: TPPDBNavRight;
    PowerPanel19: TPowerPanel;
    PowerPanel20: TPowerPanel;
    PowerPanel21: TPowerPanel;
    PPStatus2: TPPStatus;
    PPDBNavSplit1: TPPDBNavSplit;
    DBGrid2: TDBGrid;
    PPDBGridAccess1: TPPDBGridAccess;
    DBNavigator4: TDBNavigator;
    PPDBNavLeft2: TPPDBNavLeft;
    DBNavigator5: TDBNavigator;
    PPDBNavRight2: TPPDBNavRight;
    PowerPanel22: TPowerPanel;
    PowerPanel23: TPowerPanel;
    PowerPanel24: TPowerPanel;
    PPStatus3: TPPStatus;
    PPDBNavSplit2: TPPDBNavSplit;
    PowerPanel25: TPowerPanel;
    PPCap5: TPPCap;
    PowerPanel26: TPowerPanel;
    PowerPanel27: TPowerPanel;
    Memo2: TMemo;
    Image1: TImage;
    GlobalAttributes1: TGlobalAttributes;
    procedure FormCreate(Sender: TObject);
    procedure TabSetClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure PowerPanel5MouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure PowerPanel5MouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure FormDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MultPageDlg: TMultPageDlg;

implementation

{$R *.DFM}
uses ppce;
procedure TMultPageDlg.FormCreate(Sender: TObject);
begin
  { make the number of Tabs = number of Pages,
    and have the same names }
  TabSet.Tabs := Notebook.Pages;
  outline1.fullexpand;
end;

procedure TMultPageDlg.TabSetClick(Sender: TObject);
begin
  { set visible Page to which Tab was clicked }
  Notebook.PageIndex := TabSet.TabIndex;
end;

procedure TMultPageDlg.Button1Click(Sender: TObject);
begin
table1.open;
end;

procedure TMultPageDlg.PowerPanel5MouseDown(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
powerpanel3.caption := 'Down';
end;

procedure TMultPageDlg.PowerPanel5MouseUp(Sender: TObject;
  Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
powerpanel3.caption := 'up';
end;

procedure TMultPageDlg.FormDblClick(Sender: TObject);
begin
showmessage(PowerPanel5.attributes.IniFileName+#13+
            PowerPanel5.attributes.IniSectionName+#13+
            PowerPanel5.attributes.IniPrefix);
end;

end.
