unit BobEvent;
interface
uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TEventNoObject = procedure;
  TEventOfObject = procedure of Object;

  TEventComponent = class(TComponent)
  private
    { Private declarations }
    FEventNo: TEventNoObject;
    FEventOf: TEventOfObject;

  published
    { Published declarations }
    property OnEventNoObject: TEventNoObject read FEventNo write FEventNo;
                            { error: this property cannot be published }
    property OnEventOfObject: TEventOfObject read FEventOf write FEventOf;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Dr.Bob', [TEventComponent])
end;

end.
