unit DrBob;
interface
uses Classes;

Type
  TDrBob = class(TComponent)
  private
  { Private 'dummy' field for read-only design property About... }
    Dummy: String;

  protected
  { Protected 'FAbout' declarations }
    FAbout: String;

  public
  { Public class declarations (override) }
    constructor Create(AOwner: TComponent); override;

  published
  { Published About property }
    property About: String read FAbout write Dummy;
  end {TDrBob};

  procedure Register;

implementation

  constructor TDrBob.Create(AOwner: TComponent);
  begin
    inherited Create(AOwner);
    FAbout := 'TDrBob (c) 1995 by Dr.Bob (DrBob@pi.net)'
  end {Create};

  procedure Register;
  begin
    RegisterComponents('Dr.Bob', [TDrBob])
  end {Register};
end.
