unit Cur2;

interface
{$R CURSORS.RES}
uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
		CursorCount:integer;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
	Screen.Cursors[1]:=LoadCursor(HInstance,'ONE');
	Screen.Cursors[2]:=LoadCursor(HInstance,'TWO');
	Screen.Cursors[3]:=LoadCursor(HInstance,'THREE');
	Screen.Cursors[4]:=LoadCursor(HInstance,'FOUR');
  Cursor:=1;
  CursorCount:=0;
  Timer1.Interval:=100;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
	{ Calculate the next cursor }
	CursorCount:= (CursorCount+1) MOD 4;
	{ Update cursor }
  Cursor:=CursorCount+1;
end;

procedure TForm1.FormMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
	{ Update Cursor }
	Cursor:=CursorCount+1;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
	Close;
end;

end.

