unit Ico1;

interface

{$R ICONS.RES}

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, ExtCtrls, StdCtrls;

type
  TForm1 = class(TForm)
    Timer1: TTimer;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
    IconNumber:integer;
    Ico:array [0..1] of TIcon;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Ico[0]:=TIcon.Create;
  Ico[1]:=TIcon.Create;
	Ico[0].Handle:=LoadIcon(HInstance,'Icon_1');
  Ico[1].Handle:=LoadIcon(HInstance,'Icon_2');
  Icon:=Ico[0];
  IconNumber:=0;
  Timer1.Interval:=200;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
	Ico[0].Destroy;
  Ico[1].Destroy;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
	IconNumber:=(IconNumber+1) MOD 2;
  Icon:=Ico[IconNumber];
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
	Application.Minimize;
end;

end.

