unit Cursorsu;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

const
  crWiggly = 1;
  crTarget = 2;

var
  Form1: TForm1;

implementation

{$R *.DFM}
{$R CURSOR.RES}
{$R CURSOR2.RES}

procedure TForm1.FormCreate(Sender: TObject);
begin
  Screen.Cursors[crWiggly] := LoadCursor(HInstance, 'Wiggly');
  { Load cursor that is identified by the number 2, not a string }
  { NB, alternative to PChar(2) would be the string '#2' }
  { C/C++ API programmers would have used the macro MakeIntResource here }
  Screen.Cursors[crTarget] := LoadCursor(HInstance, PChar(2) { or '#2'});
  { Make form cursor be wiggly, and button cursor be target }
  Cursor := crWiggly;
  Button1.Cursor := crTarget;
end;

end.
